%global pkg_name        Log-Message-Simple
%global pkg_version     0.04
%global rpm_pkg_version 0.04
%global rpm_pkg_release 1.n0i.4

Summary:       Simplified interface to Log::Message
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KA/KANE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Carp)}
%{!?_without_test:BuildRequires: perl(Log::Message)}
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
This module is a simplified frontend to Log::Message, offering
most common use for logging, and easy access to the stack
(in both raw and pretty-printable form).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc README


%changelog
* Mon Oct 22 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.4
- version 0.04

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.02-1.n0i.3
- version 0.02

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.01-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Fri Sep 02 2005 Marius Feraru <altblue@n0i.net> 0.01-1.n0i.1
- version 0.01
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
